use strict;
use warnings;
use ExtUtils::MakeMaker;

# https://perldoc.perl.org/ExtUtils/MakeMaker.html
# see https://metacpan.org/pod/CPAN::Meta::Spec#license

WriteMakefile(
    NAME         => 'rsync-dist',
    AUTHOR       => q{Goetz Pfeiffer <Goetz.Pfeiffer@helmholtz-berlin.de>},
    VERSION_FROM => 'bin/rsync-dist.pl',
    ABSTRACT     => 'Software deployment tool with versioning',
    ( $ExtUtils::MakeMaker::VERSION >= 6.3002
        ? ( 'LICENSE' => 'gpl_3' )
        : () ),
    EXE_FILES => ['bin/rsync-dist.pl'],
    PMLIBDIRS => ['lib'],
    PREREQ_PM => {
        'FindBin'        =>  0,
        'Getopt::Long'   =>  0,
        'Sys::Hostname'  =>  0,
        'File::Spec'     =>  0,
        'File::Temp'     =>  0,
        'Cwd'            =>  0,
        'Time::Local'    =>  0,
        'Data::Dumper'   =>  0,
        'Carp'           =>  0,
    },
    #TEST_REQUIRES => {
    #      'Test::More'    => 1.001014,
    #},
);
